<section class="content-header">
  <a [routerLink]="['/settings']">
    <svg class="icon_user_management" shape-rendering="geometricPrecision" width="10" height="10">
      <use xlink:href="./assets/dist/img/icons.svg#icon_back"></use>
    </svg> Settings</a>
  <h1 style="margin-top:10px">
    All Users
  </h1>
  <ol class="breadcrumb">
    <li>
      <a (click)="userModal.open()" class="btn btn-net-primary">Add User</a>
      <a class="btn icon-btn btn-default" href="javascript:;" (click)="ExportData()" *ngIf="userList.length > 0 && loading == false">
        <span class="fa btn-net-glyphicon fa-file img-circle text-danger"></span>Export
        Data</a>
    </li>
  </ol>
</section>
<section class="content" *ngIf="userList.length > 0 && loading == false">
  <div class="box">
    <div class="box-body" style="padding: 0px 10px;border: solid 1px #ccc;border-radius: 3px;">
      <div id="example1_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
        <div class="row">
          <div class="col-lg-12" style="padding: 0px 5px">
            <table class="table table-bordered table-striped dataTable table-hover" style="margin-bottom: 0px">
              <thead>
                <tr role="row">
                  <th width="100">
                  </th>
                  <th>First Name </th>
                  <th>Last Name </th>
                  <th>User Id </th>
                  <th>Email Id </th>
                  <th>Roles </th>
                  <th>User Type </th>
                </tr>
              <tbody>
                <tr *ngFor="let user of userList">
                  <td>
                    <a [routerLink]="['/settings/users/edit/' + user.userId]">
                      <svg class="icon_edit btn-xs" shape-rendering="geometricPrecision" width="25" height="25">
                        <use xlink:href="./assets/dist/img/icons.svg#icon_edit"></use>
                      </svg>
                    </a>
                    <a href="javascipt:void()" (click)="ShowDeleteUserModal(alertModal, user.userId)">
                      <svg class="icon_delete btn-xs" shape-rendering="geometricPrecision" width="25" height="25">
                        <use xlink:href="./assets/dist/img/icons.svg#icon_delete"></use>
                      </svg>
                    </a>
                    <a (click)="LoginAs(user)" title="{{'Logged in As ' + user.firstName + ' ' + user.lastName }}">
                      <svg class="icon_login_as btn-xs" shape-rendering="geometricPrecision" width="25" height="25"
                        fill="#FBBC05">
                        <use xlink:href="./assets/dist/img/icons.svg#icon_login_as"></use>
                      </svg>
                    </a>
                  </td>
                  <td>
                    {{user.firstName}}
                  </td>
                  <td>
                    {{user.lastName}}
                  </td>
                  <td>{{user.userId}}</td>
                  <td>
                    <a href="mailto:{{user.emailId}}">{{user.emailId}}</a>
                  </td>
                  <td>
                    {{user.roles}}
                  </td>
                  <td>{{user.isInternal}}</td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
<section class="content" *ngIf="userList.length == 0 && loading == true">
  <div class="box bg-shade">
    <div class="box-body" style="padding: 0px 10px;border: solid 1px #ccc;border-radius: 3px;">
      <div id="example1_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
        <div class="row">
          <div class="col-lg-12" style="padding: 0px 5px">
            <table>
              <thead>
                <tr>
                  <td class="td-5">
                    <span></span>
                  </td>
                </tr>
              </thead>
              <tbody>
                <tr>
                  <td class="td-3">
                    <span></span>
                  </td>
                </tr>
                <tr>
                  <td class="td-3">
                    <span></span>
                  </td>
                </tr>
                <tr>
                  <td class="td-3">
                    <span></span>
                  </td>
                </tr>
                <tr>
                  <td class="td-3">
                    <span></span>
                  </td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
    <!-- /.box-body -->
  </div>
</section>
<!-- first modal: modal with custom header, content and footer -->
<modal #userRoleModal>
  <modal-header>
    <h3 style="margin:0px">Assign Role</h3>
  </modal-header>
  <modal-content>
    <div class="row">
      <div class="col-md-12">
        <table class="table table-hover">
          <tr>
            <th></th>
            <th width="300">Role </th>
          </tr>
          <tbody>
            <tr *ngFor="let o of roles">
              <td width="20" class="text-center" style="height:unset">
                <span title="Add Role" *ngIf="!IsAssignedRole(o)" (click)="AssignRole(o)">
                  <svg class="icon_add" shape-rendering="geometricPrecision" width="25" height="25">
                    <use xlink:href="./assets/dist/img/icons.svg#icon_add"></use>
                  </svg>
                </span>
                <span title="Remove Role" *ngIf="IsAssignedRole(o)" (click)="RemoveRole(o)">
                  <svg class="icon_minus" shape-rendering="geometricPrecision" width="25" height="25">
                    <use xlink:href="./assets/dist/img/icons.svg#icon_minus"></use>
                  </svg>
                </span>
              </td>
              <td style="height:unset">
                {{o.role}}
              </td>
            </tr>
            <tr *ngIf="roles.length == 0 && loading == true">
              <td colspan="5" class="text-center">
                <svg id="icon_loading" width="60" height="60" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 100"
                  preserveAspectRatio="xMidYMid" class="lds-eclipse" style="background:0 0">
                  <path d="M9.998 50.08a40 40 0 0 0 80-.16 40 42-.115 0 1-80 .16" fill="#0067C5">
                    <animateTransform attributeName="transform" type="rotate" calcMode="linear" values="0 50 51;360 50 51"
                      keyTimes="0;1" dur="1s" begin="0s" repeatCount="indefinite" />
                  </path>
                </svg>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </modal-content>
</modal>
<modal #userFeatureModal>
  <modal-header>
    <strong>Assign Feature</strong>
  </modal-header>
  <modal-content>
    <div class="row">
      <div class="col-md-12">
        <div class="ui-select__wrapper next-input--has-content">
          <select class="ui-select" [(ngModel)]="selectedFeature">
            <option *ngFor="let f of features" [ngValue]="f">{{f.featureName}}</option>
          </select>
          <svg class="icon_up_down_select" shape-rendering="geometricPrecision" class="next-icon next-icon--size-16"
            width="13" height="13">
            <use xlink:href="./assets/dist/img/icons.svg#icon_up_down_select"></use>
          </svg>
        </div>
      </div>
      <div class="col-md-12">
        <label>
          Features
        </label>
        <!-- <ngx-treeview [config]="config" [items]="items">
        </ngx-treeview> -->
      </div>
    </div>
  </modal-content>
  <modal-footer>
    <button class="btn btn-default" (click)="userFeatureModal.close()">Close</button>
  </modal-footer>
</modal>

<modal #alertModal>
  <modal-header>
    <span>Alert!</span>
  </modal-header>
  <modal-content>
    Are you sure, you want to delete?
  </modal-content>
  <modal-footer>
    <button class="btn btn-default" (click)="Cancel(alertModal)">
      No
    </button>
    <button type="submit" class="btn btn-danger" (click)="DeleteUser(alertModal)">Yes</button>
  </modal-footer>
</modal>
<modal #userModal>
  <modal-header>
    <span>New SSO User</span>
  </modal-header>
  <modal-content>
    <div class="row" style="margin-left: 0px">
      <form #Loginform="ngForm" class="form-horizontal" novalidate (ngSubmit)="OnSubmit(userModal)">
        <!-- form start -->
        <div class="form-group col-md-12" [ngClass]="{'has-error' : userId.error?.required && userId.touched}">
          <label>SSO User Name</label>
          <input type="text" class="form-control" [(ngModel)]="userModel.userId" name="userId" placeholder="SSO User Name"
            #userId="ngModel" required />
          <span class="help-block small" *ngIf="userId.errors?.required && userId.touched">
            Required </span>
        </div>
        <kendo-switch name="switch"[(ngModel)]="userModal.isExternal" (valueChange)="toggleChange(userModal.isExternal)"></kendo-switch>
     
      </form>
    </div>
    <!-- end form -->
  </modal-content>
  <modal-footer>
    <div class="col-md-2 pull-right">
      <button type="submit" class="btn btn-net-primary" (click)="OnSubmit(userModal)" [disabled]="!Loginform.valid">
        Submit
      </button>
    </div>
    <div class="col-md-2 pull-right">
      <button class="btn btn-default" (click)="userModal.close()">
        Cancel
      </button>
    </div>
  </modal-footer>
</modal>